summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorAlexander Traud <pabstraud@compuserve.com>2017-11-04 12:05:36 +0100
committerAlexander Traud <pabstraud@compuserve.com>2017-11-04 12:05:36 +0100
commit2ebea5aa03ab65334a09fdf37f3dea5346737fb1 (patch)
treeacda8f95bcefc35a3e356c8ddc3813ee1198002c /contrib
parent325b5dd30fe5ede5326ed96b448ee61dd5a51c2f (diff)
install_prereq: Checkout of libSRTP 2.x.
Since Asterisk 13.17, libSRTP 2.x is supported. Therefore, its latest version is installed again via the script install_prereq. ASTERISK-27356 Change-Id: I13125839a79052356469e41edacbebff0a937d39
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/scripts/install_prereq24
1 files changed, 10 insertions, 14 deletions
diff --git a/contrib/scripts/install_prereq b/contrib/scripts/install_prereq
index d69f5527a..c4b91f6f8 100755
--- a/contrib/scripts/install_prereq
+++ b/contrib/scripts/install_prereq
@@ -165,22 +165,18 @@ install_unpackaged() {
/sbin/ldconfig
fi
- # Only install libsrtp if it wasn't installed via package
+ # Only install libsrtp2 if it wasn't installed via package
if ! test -f /usr/include/srtp/srtp.h; then
- echo "*** Installing libsrtp ***"
- if [ ! -d libsrtp ]; then
- git clone https://github.com/cisco/libsrtp.git
- cd libsrtp
- else
- cd libsrtp
- git pull
+ if ! test -f /usr/include/srtp2/srtp.h; then
+ echo "*** Installing libsrtp2 ***"
+ wget -O - http://github.com/cisco/libsrtp/archive/v2.tar.gz | zcat | tar -xf -
+ cd libsrtp-2
+ ./configure --enable-openssl
+ make shared_library uninstall install
+ cd ..
+ echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+ /sbin/ldconfig
fi
- git checkout "1_5_x_throttle"
- ./configure --disable-debug --disable-stdout --enable-openssl
- make shared_library uninstall install
- cd ..
- echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
- /sbin/ldconfig
fi
# Only install pjproject if it wasn't installed via package